Bug 2014123 - CVE-2021-22959 nodejs:16/nodejs: llhttp: HTTP Request Smuggling due to spaced in headers [fedora-all]
Summary: CVE-2021-22959 nodejs:16/nodejs: llhttp: HTTP Request Smuggling due to spaced...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 34
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-22959
TreeView+ depends on / blocked
 
Reported: 2021-10-14 13:44 UTC by Cedric Buissart
Modified: 2021-10-29 23:06 UTC (History)
5 users (show)

Fixed In Version: nodejs-16-3420211013191319.058368ca nodejs-16-3320211013191319.601d93de nodejs-16-3520211013191319.f27b74a8 nodejs-16.11.1-1.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-23 02:41:23 UTC
Type: ---


Attachments (Terms of Use)

Description Cedric Buissart 2021-10-14 13:44:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Cedric Buissart 2021-10-14 13:44:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2014057,2014123

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-10-15 14:53:41 UTC
FEDORA-MODULAR-2021-31c8c091e3 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-31c8c091e3

Comment 3 Fedora Update System 2021-10-15 14:53:54 UTC
FEDORA-MODULAR-2021-d95cfc6bf2 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d95cfc6bf2

Comment 4 Fedora Update System 2021-10-15 14:54:08 UTC
FEDORA-2021-9818cabe0d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9818cabe0d

Comment 5 Fedora Update System 2021-10-15 14:54:20 UTC
FEDORA-MODULAR-2021-301b00749a has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-301b00749a

Comment 6 Fedora Update System 2021-10-15 19:21:56 UTC
FEDORA-MODULAR-2021-d95cfc6bf2 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d95cfc6bf2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-10-15 19:38:58 UTC
FEDORA-MODULAR-2021-301b00749a has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-301b00749a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-10-15 20:15:34 UTC
FEDORA-MODULAR-2021-31c8c091e3 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-31c8c091e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-10-15 20:52:15 UTC
FEDORA-2021-9818cabe0d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9818cabe0d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9818cabe0d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-10-23 02:41:23 UTC
FEDORA-MODULAR-2021-d95cfc6bf2 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-10-23 02:55:33 UTC
FEDORA-MODULAR-2021-301b00749a has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-10-29 21:28:55 UTC
FEDORA-MODULAR-2021-31c8c091e3 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-10-29 23:06:53 UTC
FEDORA-2021-9818cabe0d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.